/*
 * Copyright (C) 2019 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package android.view;

import static android.view.Display.DEFAULT_DISPLAY;

import android.graphics.Rect;
import android.platform.test.annotations.Presubmit;

import androidx.test.filters.SmallTest;
import androidx.test.runner.AndroidJUnit4;

import org.junit.Test;
import org.junit.runner.RunWith;

@RunWith(AndroidJUnit4.class)
@SmallTest
@Presubmit
public class CompositionSamplingListenerTest {

    @Test
    public void testRegisterUnregister() {
        CompositionSamplingListener.register(mListener, DEFAULT_DISPLAY, new SurfaceControl(),
                new Rect(1, 1, 10, 10));
        CompositionSamplingListener.unregister(mListener);
    }

    private CompositionSamplingListener mListener = new CompositionSamplingListener(Runnable::run) {
        @Override
        public void onSampleCollected(float medianLuma) {
            // Ignore
        }
    };
}
