/*
* Copyright (C) 2016 The Android Open Source Project
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*      http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package android.view;

import android.app.Activity;
import android.os.Bundle;
import android.view.ScaleGestureDetector.SimpleOnScaleGestureListener;

import com.android.frameworks.coretests.R;

public class ScaleGesture extends Activity {
    private ScaleGestureDetector mScaleGestureDetector;
    private float mFactor;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.scale_gesture);
        mScaleGestureDetector = new ScaleGestureDetector(this, new OnScaleGestureListener());
        mFactor = 1.0f;
    }

    public float getScaleFactor() {
        return mFactor;
    }

    @Override
    public boolean onTouchEvent(MotionEvent event) {
        mScaleGestureDetector.onTouchEvent(event);
        return true;
    }

    public class OnScaleGestureListener extends SimpleOnScaleGestureListener {
        @Override
        public boolean onScale(ScaleGestureDetector detector) {
            mFactor *= detector.getScaleFactor();
            return true;
        }
    }
}
